Can someone help me :'(

This machine is definitly better suited for a lightweight Linux with Xfce than for a Windows 10.

Now try the other two commands from my previous post, please.

[gersi@gersi-pc ~]$ sudo pacman-mirrors -f 11
[sudo] password for gersi:
usage: pacman-mirrors [-h] [-g] [-m {rank,random}]
[-b {stable,testing,unstable}] [-c COUNTRY] [--geoip]
[-d PATH] [-o FILE] [-t SECONDS] [--no-update] [-i] [-v]
[-q]
pacman-mirrors: error: unrecognized arguments: -f 11
[gersi@gersi-pc ~]$ sudo pacman -Syyu
:: Synchronizing package databases...
error: failed to update core (unable to lock database)
error: failed to update extra (unable to lock database)
error: failed to update community (unable to lock database)
error: failed to update multilib (unable to lock database)
error: failed to update mgame (unable to lock database)
error: failed to synchronize any databases
error: failed to init transaction (unable to lock database)
error: could not lock database: File exists
if you're sure a package manager is not already
running, you can remove /var/lib/pacman/db.lck
[gersi@gersi-pc ~]$

1 Like
➜  ~ sudo pacman-mirrors -f 11
[sudo] Passwort für mint: 
.: INFO Downloading mirrors from repo.manjaro.org
.: INFO: Querying mirrors - This may take some time
.: INFO Using custom mirror file
.: INFO Querying mirrors - This may take some time
   ..... Germany        : https://mirror.philpot.de/manjaro/
.: ERROR [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:841) 'https://mirror.philpot.de/manjaro/'

   0.106 Germany        : http://mirror.philpot.de/manjaro/
   0.264 Germany        : https://manjaro.moson.eu/
   0.129 Germany        : http://manjaro.moson.eu/
.: INFO Writing mirror list
   Germany         : http://mirror.philpot.de/manjaro/unstable/$repo/$arch
   Germany         : https://manjaro.moson.eu/unstable/$repo/$arch
.: INFO Mirror list generated and saved to: /etc/pacman.d/mirrorlist

Info: if the first command not work , post it here and wait. :slight_smile:

[gersi@gersi-pc ~]$ sudo pacman-mirrors -f 11
[sudo] password for gersi:
usage: pacman-mirrors [-h] [-g] [-m {rank,random}]
[-b {stable,testing,unstable}] [-c COUNTRY] [--geoip]
[-d PATH] [-o FILE] [-t SECONDS] [--no-update] [-i] [-v]
[-q]
pacman-mirrors: error: unrecognized arguments: -f 11

AND SOMETHING WHEN I OPEN TERM IT SAYS : warning: database file for 'mgame' does not exist
IS IT ALRIGHT?

Ok, it is quite an old Manjaro ISO (@SGS see Gcc sys: 6.3.1)
Therefore the command should be:
sudo pacman-mirrors -g
and then
sudo pacman -Syyu
If you still get "unable to lock database" then run
sudo rm /var/lib/pacman/db.lck
and again
sudo pacman -Syyu
(There will be some further things to fix, but we will help.)

2 Likes

:: Mirrorlist generated and saved to: /etc/pacman.d/mirrorlist
[gersi@gersi-pc ~]$ sudo pacman -Syyu
:: Synchronizing package databases...
error: failed to update core (unable to lock database)
error: failed to update extra (unable to lock database)
error: failed to update community (unable to lock database)
error: failed to update multilib (unable to lock database)
error: failed to update mgame (unable to lock database)
error: failed to synchronize any databases
error: failed to init transaction (unable to lock database)
error: could not lock database: File exists
if you're sure a package manager is not already
running, you can remove /var/lib/pacman/db.lck
[gersi@gersi-pc ~]$ sudo rm /var/lib/pacman/db.lck
[gersi@gersi-pc ~]$ sudo pacman -Syyu
:: Synchronizing package databases...
core 147,5 KiB 293K/s 00:01 [----------------------] 100%
extra 1795,9 KiB 1098K/s 00:02 [----------------------] 100%
community 4,8 MiB 1094K/s 00:04 [----------------------] 100%
multilib 179,9 KiB 1224K/s 00:00 [----------------------] 100%
error: failed retrieving file 'mgame.db' from repo.hundewadt.dk : Could not resolve host: repo.hundewadt.dk
error: failed to update mgame (download library error)
:: Some packages should be upgraded first...
error: failed to prepare transaction (could not find database)

:: Starting full system upgrade...
:: Replace attica-qt5 with extra/attica? [Y/n]

Installing Manjaro Gamin Edition was an unlucky decission. But we will try to fix.

An easier way would be to download an new Manjaro ISO and install that. This will update without problems. Would you like to do it? :hugs:

1 Like

i would love it but have to help me :blush:

For that error to fix you need to comment [mgame] in the file /etc/pacman.conf by writing a # at the begin of the line.
sudo nano /etc/pacman.conf

#[mgame]
#Include = /etc/pacman.d/mgame-something

to save press Ctrl+X, then Y and Enter.

Hey, Manjaro noob here. I have been using Manjaro since December 2017, and honestly, as much crap manjaro gives me a few times a year for my novice linux skills, it's worth it. And the community is great and helpful. :slight_smile: Don't reinstall windows, man!

2 Likes

[mgame]
SigLevel = Optional TrustAll
Server = http://repo.hundewadt.dk/mgame/$arch
Include = /etc/pacman.d/mgame-something

LIKE THIS :sweat_smile:

When asking questions in the forum, it would be most helpful to all members if you provide some basic information.
When you provide info from the terminal, usually from your logs, you have to enclose it in code blocks, so they are easy to read. Select the code/text and click the post edit toolbar button </> . Another handy way is to use 3 backticks ` at the start and 3 more at the end of the text like this:
```
text or code here
```

No ; #Include = /etc/pacman.d/mgame-something ###### # in front

Sorry, i am quiet now

Ok, to download a new manjaro I recommend to run in terminal
wget 'https://osdn.net/projects/manjaro/storage/xfce/17.1.11/manjaro-xfce-17.1.11-stable-x86_64.iso'
or simply download the .iso file from the browser: https://osdn.net/projects/manjaro/storage/xfce/17.1.11/

A little help to get a fresh pacman.conf:

wget -O - https://gitlab.com/snippets/1735764/raw | pkexec tee /etc/pacman.conf

(using pkexec instead of sudo otherwise it's a bit tricky to see when you need to put in the password :joy:)

1 Like

make this to this:

#[mgame]
#SigLevel = Optional TrustAll
#Server = [http://repo.hundewadt.dk/mgame/$arch](http://repo.hundewadt.dk/mgame/%24arch)
#Include = /etc/pacman.d/mgame-something

all lines in that file which have to do with mgame. (It is an old side project and its mirror is dead.)

1 Like

sorry for bothering you guys , since im really bad at this :slightly_frowning_face:

Ok, try the command of @anon35400795 then (instead of editing /etc/pacman,conf manually):
wget -O - https://gitlab.com/snippets/1735764/raw | pkexec tee /etc/pacman.conf
Then
sudo pacman -Syu

Also a recent mirrorlist:

wget -O - https://gitlab.com/snippets/1735767/raw | pkexec tee /etc/pacman.d/mirrorlist

just need to type y-y-y-y-y right?

:: Starting full system upgrade...
:: Replace attica-qt5 with extra/attica? [Y/n] y
:: Replace compositeproto with extra/xorgproto? [Y/n]

1 Like

Total Download Size: 1385,10 MiB
Total Installed Size: 5882,33 MiB
Net Upgrade Size: 911,69 MiB

:: Proceed with installation? [Y/n]

im waiting till the new manjaro download ends then start this right ;p ?

Forum kindly sponsored by